# scribe-tokenator

A Tokenator for Scribe Notes

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

*   [ScribeTokenator](#scribetokenator)
    *   [Parameters](#parameters)
    *   [createScribeToken](#createscribetoken)
        *   [Parameters](#parameters-1)
    *   [sendScribeToken](#sendscribetoken)
        *   [Parameters](#parameters-2)
    *   [decryptNotes](#decryptnotes)
    *   [handleRedeem](#handleredeem)
        *   [Parameters](#parameters-3)

### ScribeTokenator

**Extends PushDropTokenator**

Extends the Tokenator class to enable sending Scribe tokens with custom instructions Peer-to-Peer

#### Parameters

*   `obj` **[object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)?** All parameters are given in an object (optional, default `{}`)

    *   `obj.peerServHost` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)?** The PeerServ host you want to connect to (optional, default `'https://staging-peerserv.babbage.systems'`)
    *   `obj.dojoHost` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)?** The Dojo to use for UTXO management (optional, default `'https://staging-dojo.babbage.systems'`)
    *   `obj.clientPrivateKey` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)?** A private key to use for mutual authentication with Authrite. (Optional - Defaults to Babbage signing strategy).

#### createScribeToken

##### Parameters

*   `note` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** The note object

    *   `note.title` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The recipient of the payment
    *   `note.contents` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** The amount in satoshis to send
    *   `note.recipient` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Who this note should be sent to

#### sendScribeToken

Sends a Scribe token to a PeerServ recipient

##### Parameters

*   `note` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** The note object

    *   `note.title` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The title of this note
    *   `note.contents` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** The contents of the note
    *   `note.recipient` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Who this note should be sent to

#### decryptNotes

Decrypts all available notes in a user's Scribe basket

Returns **[Array](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array)** of decrypted note objects

#### handleRedeem

Deletes or updates a note token

##### Parameters

*   `selectedNote` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** the note to update or delete
*   `shouldUpdate` **[Boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** whether additional outputs should be redeemed (optional, default `false`)
